Summary: 	A graphic library for file loading, saving, rendering, and manipulation.
Name: 		imlib2
Version: 	1.1.2
Release: 	0.fdr.1.3
License: 	BSD
Group: 		System Environment/Libraries
URL: 		http://www.enlightenment.org/pages/imlib2.html
Source0: 	http://download.sf.net/enlightenment/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel libjpeg-devel libpng-devel libtiff-devel
BuildRequires:	libungif-devel freetype-devel libtool bzip2-devel

%package devel
Summary: 	Development package for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires:	XFree86-devel freetype-devel pkgconfig

BuildRequires:	gcc-c++

# -----------------------------------------------------------------------------

%description
Imlib 2 is the successor to Imlib. It is NOT a newer version -- it is
a completely new library. Imlib 2 can be installed alongside Imlib 1.x
without any problems since they are effectively different libraries
which have very similar functionality. Please see the homepage for the
long description of the differences.

%description devel
This package contains development files for %{name}.

Imlib 2 is the successor to Imlib. It is NOT a newer version -- it is
a completely new library. Imlib 2 can be installed alongside Imlib 1.x
without any problems since they are effectively different libraries
which have very similar functionality. Please see the homepage for the
long description of the differences.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure \
%ifarch %{ix86} x86_64 ia64
  --enable-mmx
%endif

make %{?_smp_mflags} 
make -C demo

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C demo

cp -a doc __doc
rm -f __doc/Makefile*

rm -f \
  $RPM_BUILD_ROOT%{_libdir}/libImlib2.la \
  $RPM_BUILD_ROOT%{_libdir}/imlib2_loaders/*/*.*a \
  $RPM_BUILD_ROOT%{_bindir}/{color_spaces,imlib2,*test}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README ChangeLog TODO __doc/*
%{_bindir}/imconvert
%{_bindir}/imlib2_view
%{_libdir}/libImlib2.so.*
%{_libdir}/imlib2_loaders

%files devel
%defattr(-,root,root,-)
%{_bindir}/imlib2-config
%{_includedir}/Imlib2.h
%{_libdir}/libImlib2.a
%{_libdir}/libImlib2.so
%{_libdir}/pkgconfig/imlib2.pc

# -----------------------------------------------------------------------------

%changelog
* Sat Sep 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.2-0.fdr.1
- Update to 1.1.2, fixes CAN-2004-0802.
- Enable MMX on all ix86, x86_64 and ia64, it seems runtime-detected.
- Update URL.

* Tue Nov 18 2003 Dams <anvil[AT]livna.org> 0:1.0.6-0.fdr.3
- s#_prefix/lib#_libdir#

* Tue Nov 18 2003 Dams <anvil[AT]livna.org> 0:1.0.6-0.fdr.2
- Moved some binaries and loaders into main package
- Added missing Requires and BuildRequires

* Sun Oct 26 2003 Dams <anvil[AT]livna.org> 
- Initial build.
